Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
phone "github.com/auth0/go-auth0/management/management/branding/phone"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &phone.ListBrandingPhoneProvidersRequestParameters{
Disabled: management.Bool(
true,
),
}
client.Branding.Phone.Providers.List(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.providers.list({
disabled: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.providers.list({
disabled: true,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/branding/phone/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/branding/phone/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"providers": [
{
"id": "<string>",
"tenant": "<string>",
"channel": "phone",
"disabled": true,
"configuration": {
"sid": "<string>",
"delivery_methods": [],
"default_from": "<string>",
"mssid": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Get a list of phone providers
Retrieve a list of phone providers details set for a Tenant. A list of fields to include or exclude may also be specified.
GET
https://{tenantDomain}/api/v2
/
branding
/
phone
/
providers
Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
phone "github.com/auth0/go-auth0/management/management/branding/phone"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &phone.ListBrandingPhoneProvidersRequestParameters{
Disabled: management.Bool(
true,
),
}
client.Branding.Phone.Providers.List(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.providers.list({
disabled: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.providers.list({
disabled: true,
});
}
main();Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Whether the provider is enabled (false) or disabled (true).
Response
Phone providers have been successfully retrieved.
Show child attributes
Show child attributes
Was this page helpful?
⌘I